Register a voice
POST
/
v1
/
accounts
/
{accountId}
/
voice-library
Register a new voice in the voice library
curl --request POST \
--url https://api.us.poly.ai/v1/accounts/{accountId}/voice-library \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"name": "<string>",
"provider": "<string>",
"config": {},
"providerVoiceId": "<string>",
"voiceMetadata": {}
}
'import requests
url = "https://api.us.poly.ai/v1/accounts/{accountId}/voice-library"
payload = {
"name": "<string>",
"provider": "<string>",
"config": {},
"providerVoiceId": "<string>",
"voiceMetadata": {}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
provider: '<string>',
config: {},
providerVoiceId: '<string>',
voiceMetadata: {}
})
};
fetch('https://api.us.poly.ai/v1/accounts/{accountId}/voice-library', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"voice": {
"id": "<string>",
"name": "<string>",
"provider": "<string>",
"providerVoiceId": "<string>",
"config": {},
"metadata": {},
"isPolyVoice": false
}
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "Account ID does not exist.",
"error_id": "550e8400-e29b-41d4-a716-446655440000",
"error_code": "ACCOUNT_NOT_FOUND",
"error_message": "Account ID does not exist.",
"data": null
}Authorizations
Path Parameters
Body
application/json
Request schema for creating a new voice.
Response
Successful response
Response for single voice endpoints.
A single voice as returned by the public API.
Show child attributes
Show child attributes
Last modified on May 29, 2026
Was this page helpful?
⌘I
Register a new voice in the voice library

